Public Attributes | List of all members
ble_gatts_evt_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Server » Structures

BLE GATTS event structure. More...

`#include <ble_gatts.h>`

Collaboration diagram for ble_gatts_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection. More...
union {
ble_gatts_evt_read_t read_req
| Read request event. More...
ble_gatts_evt_write_t write_req
| Write request event. More...
ble_gatts_evt_prep_write_t prep_wr_req
| Prepare write request event. More...
ble_gatts_evt_ntf_ind_t ntf_ind_sended
| Notification or indication sened event. More...
ble_gatts_evt_cccd_rec_t cccd_recovery
| Gatt cccd recovery event . More...
ble_gatts_evt_multi_ntf_t multi_ntf
ble_gatts_evt_enh_read_t enh_read_req
| Enhance Read request event. More...
ble_gatts_evt_enh_write_t enh_write_req
| Enhance Write request event. More...
ble_gatts_evt_enh_prep_write_t enh_prep_wr_req
| Enhance Prepare write request event. More...
ble_gatts_evt_enh_ntf_ind_t enh_ntf_ind_sended
| Enhance Notification or indication sened event. More...
ble_gatts_evt_enh_cccd_rec_t enh_cccd_recovery
| Enhance Gatt cccd recovery event . More...
ble_gatts_evt_enh_multi_ntf_t enh_multi_ntf
ble_gatts_evt_inited_ind_t inited_ind
} | params
| Event Parameters. More...

## Detailed Description

BLE GATTS event structure.

Definition at line 470 of file ble_gatts.h.

## Member Data Documentation

## ◆ cccd_recovery

ble_gatts_evt_cccd_rec_t ble_gatts_evt_t::cccd_recovery

Gatt cccd recovery event .

Definition at line 479 of file ble_gatts.h.

## ◆ enh_cccd_recovery

ble_gatts_evt_enh_cccd_rec_t ble_gatts_evt_t::enh_cccd_recovery

Enhance Gatt cccd recovery event .

Definition at line 485 of file ble_gatts.h.

## ◆ enh_multi_ntf

ble_gatts_evt_enh_multi_ntf_t ble_gatts_evt_t::enh_multi_ntf

Definition at line 486 of file ble_gatts.h.

## ◆ enh_ntf_ind_sended

ble_gatts_evt_enh_ntf_ind_t ble_gatts_evt_t::enh_ntf_ind_sended

Enhance Notification or indication sened event.

Definition at line 484 of file ble_gatts.h.

## ◆ enh_prep_wr_req

ble_gatts_evt_enh_prep_write_t ble_gatts_evt_t::enh_prep_wr_req

Enhance Prepare write request event.

Definition at line 483 of file ble_gatts.h.

## ◆ enh_read_req

ble_gatts_evt_enh_read_t ble_gatts_evt_t::enh_read_req

Enhance Read request event.

Definition at line 481 of file ble_gatts.h.

## ◆ enh_write_req

ble_gatts_evt_enh_write_t ble_gatts_evt_t::enh_write_req

Enhance Write request event.

Definition at line 482 of file ble_gatts.h.

## ◆ index

uint8_t ble_gatts_evt_t::index

Index of connection.

Definition at line 472 of file ble_gatts.h.

## ◆ inited_ind

ble_gatts_evt_inited_ind_t ble_gatts_evt_t::inited_ind

Definition at line 487 of file ble_gatts.h.

## ◆ multi_ntf

ble_gatts_evt_multi_ntf_t ble_gatts_evt_t::multi_ntf

Definition at line 480 of file ble_gatts.h.

## ◆ ntf_ind_sended

ble_gatts_evt_ntf_ind_t ble_gatts_evt_t::ntf_ind_sended

Notification or indication sened event.

Definition at line 478 of file ble_gatts.h.

## ◆ params

union { ... } ble_gatts_evt_t::params

Event Parameters.

## ◆ prep_wr_req

ble_gatts_evt_prep_write_t ble_gatts_evt_t::prep_wr_req

Prepare write request event.

Definition at line 477 of file ble_gatts.h.

## ◆ read_req

ble_gatts_evt_read_t ble_gatts_evt_t::read_req

Read request event.

Definition at line 475 of file ble_gatts.h.

## ◆ write_req

ble_gatts_evt_write_t ble_gatts_evt_t::write_req

Write request event.

Definition at line 476 of file ble_gatts.h.

The documentation for this struct was generated from the following file:

- ble_gatts.h